# Uses of Class
org.apache.lucene.analysis.TokenizerFactory

Packages that use TokenizerFactory
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.analysis.standard
Fast, general-purpose grammar-based tokenizer `StandardTokenizer` implements the Word Break rules from the Unicode Text Segmentation algorithm, as specified in Unicode Standard Annex #29.

- ## Uses of TokenizerFactory in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis that return TokenizerFactory
  Modifier and Type
  Method
  Description
  `static TokenizerFactory`
  TokenizerFactory.`forName(String name, Map<String,String> args)`
  looks up a tokenizer by name from context classpath
  Methods in org.apache.lucene.analysis that return types with arguments of type TokenizerFactory
  Modifier and Type
  Method
  Description
  `static Class<? extends TokenizerFactory>`
  TokenizerFactory.`lookupClass(String name)`
  looks up a tokenizer class by name from context classpath
  Method parameters in org.apache.lucene.analysis with type arguments of type TokenizerFactory
  Modifier and Type
  Method
  Description
  `static String`
  TokenizerFactory.`findSPIName(Class<? extends TokenizerFactory> serviceClass)`
  looks up a SPI name for the specified tokenizer factory

- ## Uses of TokenizerFactory in org.apache.lucene.analysis.standard

  Subclasses of TokenizerFactory in org.apache.lucene.analysis.standard
  Modifier and Type
  Class
  Description
  `class`
  `StandardTokenizerFactory`
  Factory for `StandardTokenizer`.